#!/bin/python3
import requests
import sys
from jinja2 import Template


def package(package_name, template):
	url = 'https://pypi.org/pypi/{}/json'.format(package_name)
	info = dict(requests.get(url).json())
	test_template = Template(open(template).read())

	print(test_template.render(
		version=info["info"]["version"],
		name=info["info"]["name"],
		summary=info["info"]["summary"],
		home_page=info["info"]["home_page"],
		sha256=info["releases"][info["info"]["version"]][0]["digests"]["sha256"],
		license=info["info"]["license"]))


if __name__ == "__main__":
	package(sys.argv[1], sys.argv[2])
